<?php

namespace App\Mobile\Synchronization\Controllers;



use App\Mobile\Synchronization\Resources\SyncOrderResource;
use Freelabois\LaravelQuickstart\Extendables\CrudController;
use Illuminate\Http\Request;
use Schaffen\Core\Movement\Managers\SalesOrderManager;
use Schaffen\Core\Movement\Repositories\SalesOrderRepository;


class SyncOrderController extends CrudController
{
    protected $resource = SyncOrderResource::class;

    public function __construct(
        SalesOrderManager    $manager,
        SalesOrderRepository $repository
    )
    {
        parent::__construct($manager, $repository);
        $this->manager = $manager;
        $this->repository = $repository;
    }

    public function ultimosPedidos(){
        $sanitized = \request()->all();
        return SyncOrderResource::collection($this->manager->ultimosPedidos($sanitized));
    }

    public function addPedido(Request $request){
        $sanitized = $request->all();
        return new SyncOrderResource($this->manager->addPedido($sanitized));
    }

    public function cancelarPedido(Request $request){
        $sanitized = $request->all();
        return new SyncOrderResource($this->manager->cancelarPedido($sanitized));
    }


}
