<?php


namespace App\RestApi\HumanResources\Controllers;


use App\RestApi\HumanResources\Requests\ClockRequest;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Schaffen\HumanResources\HumanResources\Managers\ClockManager;
use Schaffen\HumanResources\HumanResources\Models\Clock;
use Schaffen\HumanResources\HumanResources\Repositories\ClockRepository;

class ClockController
{
    use Crudable;

    public function __construct(ClockRepository $repository, ClockManager $manager)
    {
        $this->setup($manager, $repository);
    }


    public function store(ClockRequest $request): Clock
    {
        $sanitized = $request->validated();
        return $this->manager->storeOrUpdate($sanitized);
    }

    public function update(ClockRequest $request, int $id): Clock
    {
        $sanitized = $request->validated();
        return $this->manager->storeOrUpdate($sanitized, $id);
    }

}
