<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace App\RestApi\ServiceOrder\Controllers;


use App\Http\Controller;
use App\RestApi\ServiceOrder\Requests\ServiceOrderVisitationRequest;
use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Core\Visitation\Managers\VisitationManager;
use Schaffen\Core\Visitation\Models\Visitation;
use Schaffen\Core\Visitation\Repository\VisitationRepository;

class ServiceOrderVisitationController extends Controller
{

    use Crudable;

    /**
     * ServiceOrderVisitationController constructor.
     * @param VisitationManager $manager
     * @param VisitationRepository $repository
     */
    public function __construct(
        VisitationManager $manager,
        VisitationRepository $repository
    )
    {
        $this->setup($manager, $repository);
    }

    public function index(Request $request, int $id)
    {

        $array_filters = array_merge([
            'vis_visitavel_codigo' => $id,
            'vis_visitavel_tipo' => 'service-order',
        ], $request->all());
        return $this->repository->list($array_filters);
    }

    public function store(ServiceOrderVisitationRequest $request, int $service_order): Visitation
    {
        $sanitized = array_merge([
            'vis_visitavel_codigo' => $service_order,
            'vis_visitavel_tipo' => 'service-order',
        ], $request->validated());
        return $this->manager->storeOrUpdate($sanitized);
    }


}
