<?php


namespace App\RestApi\User\Controllers;


use Freelabois\LaravelQuickstart\Traits\Crudable;
use Illuminate\Http\Request;
use Schaffen\Core\User\Managers\UserManager;
use Schaffen\Core\User\Repositories\UserRepository;


class UserController
{
    use Crudable;
    protected $route_resource;

    public function __construct(UserManager $manager, UserRepository $repository)
    {
        $this->setup($manager, $repository);


    }

    public function index(Request $request)
    {
        $sanitized = $request->all();
        return $this->repository->list($sanitized, ['person']);
    }

    public function getByFilters(Request $request) {
        $sanitized = $request->all();
        return $this->repository->findMany($sanitized, ['person']);
    }
}
